# Generated from simple_json_schema-0.1.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name simple_json_schema

Name: rubygem-%{gem_name}
Version: 0.1.7
Release: 1%{?dist}
Summary: This implementation of the JSON Schema validation is based on the https://github.com/davishmcclurg/json_schemer) (whit is the recommended to be used), but only implement the Draft7
License: MIT
URL: https://gitlab.com/vliper/simple_json_schema
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
# BuildRequires: rubygem(pry-byebug) >= 3.9
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.6
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(rubocop-performance) >= 1.9
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 2.1
# BuildRequires: rubygem(rubocop-rspec) < 3
# BuildRequires: rubygem(simplecov) >= 0.20
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Simple JSON Schema validator. Supports draft 7 partial,
based on https://github.com/davishmcclurg/json_schemer.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/simple_json_schema
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.gitmodules
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/draft-07-schema
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/update_draft7_schema
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/simple_json_schema.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.7-1
- Initial package
